import { type Account, type Address, type Hash, type Hex, type PublicClient, type Transport, type WalletClient } from 'viem';
import type { ChainEIP712 } from 'viem/chains';
export interface DeployAccountParameters {
    walletClient: WalletClient<Transport, ChainEIP712, Account>;
    publicClient: PublicClient<Transport, ChainEIP712>;
    initialSignerAddress?: Address;
    paymaster?: Address;
    paymasterInput?: Hex;
}
export interface DeployAccountReturnType {
    smartAccountAddress: Address;
    deploymentTransaction: Hash | undefined;
}
export declare function deployAccount(params: DeployAccountParameters): Promise<DeployAccountReturnType>;
//# sourceMappingURL=deployAccount.d.ts.map